# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hang-cli"
version = "0.2.2"
authors = ["Luke Curley <kixelated@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Media over QUIC"
readme = false
keywords = [
    "quic",
    "http3",
    "webtransport",
    "media",
    "live",
]
categories = [
    "multimedia",
    "network-programming",
    "web-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/kixelated/moq"

[[bin]]
name = "hang"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"
features = ["backtrace"]

[dependencies.axum]
version = "0.8"
features = ["tokio"]

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.hang]
version = "0.5"

[dependencies.hyper-serve]
version = "0.6"
features = ["tls-rustls"]

[dependencies.moq-native]
version = "0.7"

[dependencies.tokio]
version = "1.45"
features = ["full"]

[dependencies.tower-http]
version = "0.6"
features = [
    "cors",
    "fs",
]

[dependencies.tracing]
version = "0.1"

[dependencies.url]
version = "2"
